Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class UnboundVariablesUnreadyReason

    java.lang.Object
      ix.ip2.ActionUnreadyReason
          ix.ip2.UnboundVariablesUnreadyReason

    public class UnboundVariablesUnreadyReason

extends ActionUnreadyReason

Explains that a `HandlerAction` is not ready to be used because certain variables do not yet have values.

See Also:
  `HandlerAction.isReady()`, `HandlerAction.getUnreadyReason()`

Field Summary
`protected java.util.Set` | `unboundVars`

Fields inherited from class ix.ip2.ActionUnreadyReason
`action`

Constructor Summary
`UnboundVariablesUnreadyReason(HandlerAction action, AgendaItem item)` Creates an unready reason for the specified action and the unbound variables in the agenda-item's pattern.
`UnboundVariablesUnreadyReason(HandlerAction action, java.util.Set unboundVars)` Creates an unready reason for the specified action and variables.

Method Summary
`java.lang.String[]` | `getExplanation()` Returns an explanation in natural language, suitable for presenting to a user.
`java.util.Set` | `getUnboundVars()`

Methods inherited from class ix.ip2.ActionUnreadyReason
`getAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unboundVars

    protected java.util.Set unboundVars

Constructor Detail

### UnboundVariablesUnreadyReason

    public UnboundVariablesUnreadyReason(HandlerAction action,
                                         java.util.Set unboundVars)

  Creates an unready reason for the specified action and variables.

### UnboundVariablesUnreadyReason

    public UnboundVariablesUnreadyReason(HandlerAction action,
                                         AgendaItem item)

  Creates an unready reason for the specified action and the unbound variables in the agenda-item's pattern.

Method Detail

### getUnboundVars

    public java.util.Set getUnboundVars()

### getExplanation

    public java.lang.String[] getExplanation()

  Description copied from class: `ActionUnreadyReason`
  Returns an explanation in natural language, suitable for presenting to a user. Successive elements of the returned array are treated as successive lines of the explanation.

  Specified by:
    `getExplanation` in class `ActionUnreadyReason`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD